com.pixelmed.dicom

## Class UniqueIdentifierAttribute

- java.lang.Object
- - com.pixelmed.dicom.Attribute
  - - com.pixelmed.dicom.StringAttribute
    - - com.pixelmed.dicom.UniqueIdentifierAttribute

    public class UniqueIdentifierAttribute
    extends StringAttribute

A concrete class specializing `Attribute` for Unique Identifier (UI) attributes.

Though an instance of this class may be created using its constructors, there is also a factory class, `AttributeFactory`.

See Also:
  `Attribute`, `AttributeFactory`, `AttributeList`

### Field Summary

### Fields inherited from class com.pixelmed.dicom.StringAttribute

`specificCharacterSet`

### Fields inherited from class com.pixelmed.dicom.Attribute

`valueLength, valueMultiplicity`

### Constructor Summary

Constructors
Constructor and Description
`UniqueIdentifierAttribute(AttributeTag t)` Construct an (empty) attribute.
`UniqueIdentifierAttribute(AttributeTag t, long vl, DicomInputStream i)` Read an attribute from an input stream.
`UniqueIdentifierAttribute(AttributeTag t, java.lang.Long vl, DicomInputStream i)` Read an attribute from an input stream.

### Method Summary

Methods
`protected byte` `getPadByte()` Get the appropriate (0X00) byte for padding UIDS to an even length.
`byte[]` `getVR()` Get the value representation of this attribute (UI).
`static boolean` `isCodingSchemeRelated(AttributeTag t)`
`static boolean` `isPrivateRelated(AttributeTag t)`
`static boolean` `isSOPClassRelated(AttributeTag t)`
`static boolean` `isTransferSyntaxRelated(AttributeTag t)`
`static boolean` `isTransient(AttributeTag t)`

### Methods inherited from class com.pixelmed.dicom.StringAttribute

`addValue, addValue, addValue, addValue, addValue, addValue, addValue, getByteValues, getDoubleValues, getFloatValues, getIntegerValues, getLongValues, getOriginalStringValues, getPaddedVL, getShortValues, getSpecificCharacterSet, getStringValues, removeValues, setSpecificCharacterSet, toString, translateByteArrayToString, translateStringToByteArray, write`

### Methods inherited from class com.pixelmed.dicom.Attribute

`getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDoubleValues, getDoubleValues, getElement, getFloatValues, getFloatValues, getGroup, getIntegerValues, getIntegerValues, getLongValues, getLongValues, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getTag, getVL, getVM, getVRAsString, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValues, setValues, setValues, toString, writeBase`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UniqueIdentifierAttribute

    public UniqueIdentifierAttribute(AttributeTag t)

Construct an (empty) attribute.

Parameters:
  `t` - the tag of the attribute

#### UniqueIdentifierAttribute

    public UniqueIdentifierAttribute(AttributeTag t,
                             long vl,
                             DicomInputStream i)
                              throws java.io.IOException,
                                     DicomException

Read an attribute from an input stream.

Parameters:
  `t` - the tag of the attribute
  `vl` - the value length of the attribute
  `i` - the input stream
Throws:
  `java.io.IOException`
  `DicomException`

#### UniqueIdentifierAttribute

    public UniqueIdentifierAttribute(AttributeTag t,
                             java.lang.Long vl,
                             DicomInputStream i)
                              throws java.io.IOException,
                                     DicomException

Read an attribute from an input stream.

Parameters:
  `t` - the tag of the attribute
  `vl` - the value length of the attribute
  `i` - the input stream
Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### getVR

    public byte[] getVR()

Get the value representation of this attribute (UI).

Overrides:
  `getVR` in class `Attribute`
Returns:
  'U','I' in ASCII as a two byte array; see `ValueRepresentation`

#### getPadByte

    protected byte getPadByte()

Get the appropriate (0X00) byte for padding UIDS to an even length.

Overrides:
  `getPadByte` in class `StringAttribute`
Returns:
  the byte pad value appropriate to the VR

#### isSOPClassRelated

    public static boolean isSOPClassRelated(AttributeTag t)

#### isTransferSyntaxRelated

    public static boolean isTransferSyntaxRelated(AttributeTag t)

#### isCodingSchemeRelated

    public static boolean isCodingSchemeRelated(AttributeTag t)

#### isPrivateRelated

    public static boolean isPrivateRelated(AttributeTag t)

#### isTransient

    public static boolean isTransient(AttributeTag t)